* {
    margin: 0;
    padding: 0;
    font-family: "Alexandria", system-ui;
}

/* ملف CSS: styles.css */
body {
    font-family: "Alexandria", system-ui;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    direction: rtl;
    text-align: right;
}

:root {
    --main-color: #007bff;  
    --secondary-color: #006ada;  
    --background-color: rgba(0, 0, 0, 50%);  
    --text-color: #ffffff;  
}


#header-section {
    
    position: fixed;
    width: 100%;
    top: 0;
    color: #fff;
    z-index: 10;
    transition: transform 0.7s ease-in-out; /* حركة سلسة باستخدام transform */
}

.scrolled {
    transform: translateY(-40px); /* عند التمرير، اجعل الرأس يتحرك لأعلى بمقدار 40 بكسل */
}





/* هنا الحاوية العلوية لراس الصفحة */
.top-container {
    background-color: var(--background-color);
    height: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 4px 40px;
    border-bottom: 0.1px solid rgba(255, 255, 255, 0.1); /* خط رفيع جداً مع شفافية أقل */
}


/* هنا الحاوية الايميل الجهة اليمنى */
.contact-mail {
    padding: 0 0 0 20px;
    height: 100%;
    border-left: 0.1px solid rgba(255, 255, 255, 0.1);
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    
}

.contact-mail a {
    text-decoration: none;
    color: #fff;
    font-size: 12px;
}

.contact-mail a:hover { 
    color: #e0e0e0;  
}

/* هنا حاوية النص "نحن هنا من اجلك */
.text {
    padding-right: 20px;
    margin-left: auto;
}

.text p {
    font-size: 12px;
}


.social-media {
    display: flex;
    gap: 20px; /* مسافة بين الأيقونات */
    
}

.social-link {
    padding: 4px 20px 0 0;
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 0.1px solid rgba(255, 255, 255, 0.1);
}

.social-link img {
    filter: brightness(0) invert(1);
    width:15px; /* حجم الأيقونات */
    height:15px;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.social-link img:hover {
    transform: scale(1.1); /* تكبير الأيقونة عند التمرير */
}






/* هنا الحاوية السفلية لراس الصفحة */
.down-container {
   
   padding: 10px 0;
   display: flex;
   justify-content: space-between;
   align-items: center;
   background-color: var(--background-color);

}

.menu-container {
    display: none;
    
}



.logo-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 0;
    width: 140px;
    height: 60px;
    

}

.logo {
    
    filter: brightness(0) invert(1); /* تغيير لون الصورة الى الابيض*/
    background-image: url('../../../assets/image/logo99.png'); 
    background-size: contain;
    background-repeat: no-repeat;
    width: 70px; /* عرض الصورة */
    height: 60px; /* ارتفاع الصورة */
    
}



.nav-list {
    direction: rtl; /* من اليمين الى اليسار */
    list-style-type: none;
    margin: auto;
    padding: 0;
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex: 1;
    counter-reset: li-counter; /* إعادة تعيين العداد */
    -webkit-tap-highlight-color: transparent;
}

.nav-list li {
    position: relative;
    margin: 0 12px;
    text-align: center;
    counter-increment: li-counter; /* زيادة العداد لكل عنصر */
}

.nav-list li::before {
    content: "0" counter(li-counter) " "; /* عرض العداد كرقم */
    position: absolute;
    top: -15px;
    right: 20%;
    font-size: 10px;
    color: var(--text-color);
}

/* إخفاء العداد في آخر عنصر */
.nav-list li:last-child::before {
    content: ''; /* إخفاء العداد */
}


#leng {
    font-size: medium;
}



.nav-list a {
    
    text-decoration: none;
    color: var(--text-color);
    font-size: 12px;
    padding: 8px 12px;
    position: relative;
    transition: background-color 0.3s;
    
}

/* اضافة خط ازرق اسفل الانكر تاك*/
.nav-list a::after {
    content: '';
    position: absolute;
    width: 0;
    height: 4px;
    background-color: var(--main-color); /* لون الخط الأزرق */
    
    bottom: 0;
    right: 10px;
    transition: width 0.3s ease-in-out; /* تأثير الحركة */
}

.nav-list a:hover::after {
    width: 80%; /* توسع الخط ليغطي النص بالكامل */
}

/* لجعل الخط الازرق ظاهر على احد الخيارات */
#blue-ribbon::after {
    width: 80%;
}





.button-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 180px;
    height: 60px;
    margin-left: 0;
}

.button-container button {
    
    background-color: var(--main-color);
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 12px;
    cursor: pointer;
    border-radius: 20px;
    transition: background-color 0.4s, transform 0.4s;
}

.button-container button:hover {
    background-color: var(--secondary-color);
    transform: scale(1.05);
}

.icon:focus {
    outline: none; /* إزالة إطار التركيز الذي يظهر بشكل افتراضي */
}

.icon:active {
    outline: none; /* إزالة تأثير التركيز عند النقر */
    box-shadow: none; /* إزالة أي تأثير ظل يظهر عند النقر */
}

@media (max-width: 1024px) {

    .scrolled {
        transform: translateY(0px); /* عند التمرير، اجعل الرأس يتحرك لأعلى بمقدار 0 بكسل */
    }

    
    .top-container {
        display: none;
    }

    
    .down-container {
        
        flex-direction: column;
        background-color: rgb(22, 22, 22);
        align-items: flex-start;
        padding: 0;
        height: 80px; /* ضبط ارتفاع الحاوية السفلية */
        transition: height 0.5s ease, background-color 0.5s ease;
    }

    .logo-container {
        position: relative;
        margin-top: 10px;
        margin-right: auto;
        
    }

    /* جعل ارتفاع النافذة كامل الشاشة */
    nav {
        height: 100vh;
        width: 100%;
        
    }


    .nav-list {
        
        max-width: 50%;
        margin-right: 10px;
        max-height: 0; /* إخفاء قائمة التنقل بشكل افتراضي */
        opacity: 0;
        overflow: hidden;
        transition: max-height 0.5s ease, opacity 0.5s ease; /* تأثير الانتقال على الحجم والشفافية */
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        
    }
    
    .nav-list.show {
        max-height: 500px; /* قيمة كافية لإظهار القائمة بالكامل */
        opacity: 1; /* إظهار قائمة التنقل */
    }


    .nav-list li {
        padding-bottom: 20px;
        margin-left: auto;
        display: block;
        
    }


    /* اخفاء الارقام */
    .nav-list li::before {
        display: none;
    }



    /* لاضافة نقطة في بداية كل انكرتاك */
    .nav-list li a::before {
        content: "";
        display: inline-block;
        width: 8px;
        height: 8px;
        background-color: #ffffff; 
        border-radius: 50%; /* جعل العنصر دائري */
        margin-left: 10px; /* مسافة بين النقطة والنص */
        vertical-align: middle; /* لمحاذاة النقطة مع النص */
    }

    .nav-list li:last-child a::before {
        width: 10px; /* حجم أكبر للنقطة الأخيرة */
        height: 10px;
    }
    

    .button-container {
        display: none;
        margin-bottom: 100px;
        
    }

    
    
    .menu-container {
        display: inline-block;
        position: absolute;
        top: 40px;
        transform: translate(0%, -50%);
    }

    .icon {
        filter: brightness(0) invert(1); /* تغيير لون الصورة الى الابيض*/
        cursor: pointer; /* تجعل الأيقونات قابلة للنقر */
        width: 30px; /* اضبط العرض حسب الحاجة */
        height: 30px; /* اضبط الارتفاع حسب الحاجة */
        margin: 0 20px; /* أضف تباعد بين الأيقونات */
        transition: opacity 0.3s ease, transform 0.5s ease; /* إضافة تأثير الانتقال */
        opacity: 1; /* ضبط شفافية الأيقونات */
        transform: scaleY(1); /* ضبط حجم الأيقونات */
        outline: none; /* إزالة تأثير التركيز */
        -webkit-tap-highlight-color: transparent; /* إزالة لون النقر في المتصفحات التي تعمل بنظام ويب كيت */
    }
    
    .icon:focus {
        outline: none; /* إزالة إطار التركيز الذي يظهر بشكل افتراضي */
    }
    
    .icon:active,
    .icon:focus {
        outline: none; /* إزالة تأثير التركيز عند النقر أو عند التركيز */
        box-shadow: none; /* إزالة أي تأثير ظل يظهر عند النقر */
    }
    
    .hidden {
        opacity: 0; /* إخفاء العناصر بشكل تدريجي */
        transform: scaleY(0); /* تقليص الحجم */
        position: absolute; /* إزالة العنصر من التدفق الطبيعي */
        visibility: hidden; /* إخفاء العنصر عن العرض */
    }

}







